# boost::numeric::ublas::scalar_matrix< T, ALLOC >::const_iterator1 Class Reference

List of all members.

## Public Types
typedef scalar_matrix::value_type | value_type
typedef scalar_matrix::difference_type | difference_type
typedef scalar_matrix::const_reference | reference
typedef scalar_matrix::const_pointer | pointer
typedef const_iterator2 | dual_iterator_type
typedef const_reverse_iterator2 | dual_reverse_iterator_type
## Public Member Functions
BOOST_UBLAS_INLINE | const_iterator1 (const scalar_matrix &m, const const_subiterator_type &it1, const const_subiterator_type &it2)
BOOST_UBLAS_INLINE const_iterator1 & | operator++ ()
BOOST_UBLAS_INLINE const_iterator1 & | operator-- ()
BOOST_UBLAS_INLINE const_iterator1 & | operator+= (difference_type n)
BOOST_UBLAS_INLINE const_iterator1 & | operator-= (difference_type n)
BOOST_UBLAS_INLINE difference_type | operator- (const const_iterator1 &it) const
BOOST_UBLAS_INLINE const_reference | operator* () const
BOOST_UBLAS_INLINE const_reference | operator[] (difference_type n) const
BOOST_UBLAS_INLINE const_iterator2 | begin () const
BOOST_UBLAS_INLINE const_iterator2 | end () const
BOOST_UBLAS_INLINE const_reverse_iterator2 | rbegin () const
BOOST_UBLAS_INLINE const_reverse_iterator2 | rend () const
BOOST_UBLAS_INLINE size_type | index1 () const
BOOST_UBLAS_INLINE size_type | index2 () const
BOOST_UBLAS_INLINE const_iterator1 & | operator= (const const_iterator1 &it)
BOOST_UBLAS_INLINE bool | operator== (const const_iterator1 &it) const
BOOST_UBLAS_INLINE bool | operator< (const const_iterator1 &it) const

### template<class T, class ALLOC>
class boost::numeric::ublas::scalar_matrix< T, ALLOC >::const_iterator1